petsc-3.7.1 2016-05-15
Report Typos and Errors

# PETSC_VIEWER_BINARY_

Creates a binary PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petscviewer.h"
    PetscViewer PETSC_VIEWER_BINARY_(MPI_Comm comm)

Collective on MPI_Comm Many br

### Input Parameter

comm -the MPI communicator to share the binary PetscViewer Many br

Many br

### Options Database Keys

| -viewer_binary_filename <name> | - . -viewer_binary_skip_info Many br
| -viewer_binary_skip_options | - . -viewer_binary_skip_header Many br
| -viewer_binary_mpiio | - Many brEnvironmental variables: Many br

PETSC_VIEWER_BINARY_FILENAME - Many brNotes: Many brUnlike almost all other PETSc routines, PETSC_VIEWER_BINARY_ does not return Many bran error code. The binary PetscViewer is usually used in the form Many br

          XXXView(XXX object,PETSC_VIEWER_BINARY_(comm));

### See Also

PETSC_VIEWER_BINARY_WORLD, PETSC_VIEWER_BINARY_SELF, PetscViewerBinaryOpen(), PetscViewerCreate(),
PetscViewerDestroy() Many br

Level:intermediate
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex28.c.html